/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : ListNode.cc                                              */
/*                                                                       */
/*       Date : July , 1997                                              */
/* Updated at : November 14, 1997                                        */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*************************************************************************/

#include <stdio.h>
#include "ListNode.h"

/*
//
*/

template<class T1>
ListNode<T1>::ListNode() 
{ next = NULL; }

/*
//
*/

template<class T1>
ListNode<T1>::ListNode(T1 val) 
{ myValue = val;
  next = NULL; 
}

/*
// Copy constructor.
*/

template<class T1>
ListNode<T1>::ListNode(const ListNode<T1>& RHS) 
{ (*this) = RHS; }

/*
//
*/

template<class T1>
ListNode<T1>::~ListNode() 
{ }

/*
// Returns the next pointer of this node.
*/

template<class T1>
ListNode<T1> *ListNode<T1>::getNext() const 
{ return next; }

/*
// Sets the next pointer of this node.
*/

template<class T1>
void ListNode<T1>::setNext(ListNode<T1>* ptr) 
{ next = ptr; }

/*
// Returns the value of this node.
*/

template<class T1>
T1 ListNode<T1>::getValue() const
{ return myValue; }

/*
// Assignment Operator.
*/

template<class T1>
ListNode<T1>  ListNode<T1>::operator=(const ListNode<T1>& RHS)
{  myValue = RHS.getValue(); 
   next    = RHS.getNext();
   return (*this);
}// end of assignment operator

/*
// Compares the contents of two nodes.
*/

template<class T1>
ListNode<T1>::operator==(const ListNode<T1>& RHS)
{ return  (getValue() == RHS.getValue()); }

